package com.steerinfo.baseinfo.appphonehelp.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="司机电话远程求助表")
public class AppPhoneHelp implements IBasePO<String> {
    /**
     * 主键(HELP_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="主键",required=true)
    private String helpId;

    /**
     * 车号(CAR_NO,VARCHAR,11)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 电话号码(PHONE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="电话号码",required=false)
    private String phoneNo;

    /**
     * 求助时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="求助时间",required=false)
    private Date createTime;

    /**
     * 结束时间(END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="结束时间",required=false)
    private Date endTime;

    /**
     * 处理人编号(CREATE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="处理人编号",required=false)
    private String createNo;

    /**
     * 处理人(CREATE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="处理人",required=false)
    private String createName;

    /**
     * 处理结果(RESULT,VARCHAR,2)
     */
    @ApiModelProperty(value="处理结果",required=false)
    private String result;

    /**
     * 是否接听（0：未接听，1：已接听）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否接听（0：未接听，1：已接听）",required=false)
    private String valueFlag;

    /**
     * 司机姓名(DRIVER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="司机姓名",required=false)
    private String driverName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.helpId;
    }

    @Override
    public void setId(String helpId) {
        this.helpId = helpId == null ? null : helpId.trim();
    }

    public String getHelpId() {
        return helpId;
    }

    public void setHelpId(String helpId) {
        this.helpId = helpId == null ? null : helpId.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getPhoneNo() {
        return phoneNo;
    }

    public void setPhoneNo(String phoneNo) {
        this.phoneNo = phoneNo == null ? null : phoneNo.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getCreateNo() {
        return createNo;
    }

    public void setCreateNo(String createNo) {
        this.createNo = createNo == null ? null : createNo.trim();
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName == null ? null : createName.trim();
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result == null ? null : result.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName == null ? null : driverName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", helpId=").append(helpId);
        sb.append(", carNo=").append(carNo);
        sb.append(", phoneNo=").append(phoneNo);
        sb.append(", createTime=").append(createTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", createNo=").append(createNo);
        sb.append(", createName=").append(createName);
        sb.append(", result=").append(result);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", driverName=").append(driverName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}